/* 
 * ON PUBLIC DOMAIN
 * Author         : Nitish Dash
 * Name           : LDR Light Level Display on 16X2 LCD
 * Created        : 12/27/2014
 * Webpage        : http://goo.gl/Er9y4l
 * Author Email   : nitishdash95@gmail.com
 * Author Website : http://www.nitishdash.com/
 **** DONOT COPY AND PLAGIARATE WITHOUT THE AUTHOR'S PERMISSIONS ****
 */


#include <SoftwareSerialWithHalfDuplex.h>
SoftwareSerialWithHalfDuplex mySerial(12, 11); // RX, TX

#define node_id '1'
  
#include <LiquidCrystal.h>
LiquidCrystal lcd(10, 9, 8, 7, 6, 5);

 
void setup()  
{

  
// set the data rate for the SoftwareSerial port
  mySerial.begin(4800);

  lcd.begin(16, 2);
  lcd.print("INITIALISING");
  delay(500);
  lcd.print(".");
  delay(500);
  lcd.print(".");  
  delay(500);
  lcd.print(".");
  delay(500);
  lcd.print(".");  
  delay(500);

}

void loop() // run over and over
{
  lcd.clear();
  lcd.print("req. node 2");
  lcd.setCursor(0, 1);
  //send character '1' aka the ID of the first node
  mySerial.print('2');
 
  
  // wait for first node to respond
  
  while (!mySerial.available()) {
    ;
  }
  char chr = mySerial.read(); 
  lcd.print(chr);
delay(1000); 
 
}


