/*
  Software serial multple serial test
 
 Receives from the hardware serial, sends to software serial.
 Receives from software serial, sends to hardware serial.
 
 The circuit: 
 * RX is digital pin 2 (connect to TX of other device)
 * TX is digital pin 3 (connect to RX of other device)
 
 created back in the mists of time
 modified 9 Apr 2012
 by Tom Igoe
 based on Mikal Hart's example
 modified for SoftwareSerialWithHalfDuplex 
 by Nick Stedman 15 July 2012
 
 This example code is in the public domain.
 
 */
#include <SoftwareSerialWithHalfDuplex.h>
#define node_id '3'

SoftwareSerialWithHalfDuplex mySerial(1, 2); // RX, TX   // port 11,12 fyrir ATMEGA  /  1,2 fyrir ATtiny

void setup()  
{
// set the data rate for the SoftwareSerial port
  mySerial.begin(4800);

}

void loop() // run over and over
{
  if (mySerial.available()) {
    char chr = mySerial.read();
    if (chr == node_id) {
      mySerial.println("node 3");
    }
  }  
}



